Documentation>C API
Functions
rodrigues.c File Reference

Rodrigues formulas - Definition. More...

`#include "generic.h"`
`#include "mathop.h"`
`#include "rodrigues.h"`
`#include <math.h>`

## Functions

void | vl_rodrigues (double *R_pt, double *dR_pt, const double *om_pt)
| Rodrigues' formula.
void | vl_irodrigues (double *om_pt, double *dom_pt, const double *R_pt)
| Inverse Rodrigues formula.

## Detailed Description

Author
  Andrea Vedaldi

## Function Documentation

## ◆ vl_irodrigues()

void vl_irodrigues | ( | double * | om_pt,
|  | double * | dom_pt,
|  | const double * | R_pt )

Parameters

  om_pt | 3 vector - array of 3 dobule (out).
  dom_pt | 3x9 matrix - array of 3x9 dobule (out).
  R_pt | 3x3 matrix - array of 9 double (in).

This function computes the Rodrigues formula of the argument om_pt. The result is stored int the matrix R_pt. If dR_pt is non null, then the derivative of the Rodrigues formula is computed and stored into the matrix dR_pt.

## ◆ vl_rodrigues()

void vl_rodrigues | ( | double * | R_pt,
|  | double * | dR_pt,
|  | const double * | om_pt )

Parameters

  R_pt | 3x3 matrix - array of 9 double (in) .
  dR_pt | 9x3 matrix - array of 27 double (in).
  om_pt | 3 vector - array of 3 dobule (out).